#ifndef CHARTGRAPH_H
#define CHARTGRAPH_H

#include <QMainWindow>
#include <QJSValue>
#include <QChart>

class ChartView;

class ChartGraph : public QMainWindow
{
    Q_OBJECT
    QChart *_chart;
    ChartView *_chartView;
public:
    explicit ChartGraph(QWidget *parent = nullptr);
    void plot(const QVariant &graph);
public slots:
    void save();
};

#endif // CHARTGRAPH_H
